#ifndef __COMPAT_MM_H__
#   define __COMPAT_MM_H__


#include <linux/mm.h>


/* Appeared in 2.3.7 --hpreg */
#ifndef get_page
#   define get_page(_page) atomic_inc(&(_page)->count)
#endif

#ifndef get_free_page
/* get_free_page is removed in 2.5.41. There is still get_zeroed_page,
   but because of code does not need zeroed pages at all, just use
   faster alloc_pages. --vana */
#   define get_free_page(gfp_mask) ((unsigned long)page_address(alloc_pages(gfp_mask, 0)))
/* #define get_free_page(gfp_mask) get_zeroed_page(gfp_mask) */
#endif

#endif /* __COMPAT_MM_H__ */
